List Online Conferences
curl --request GET \
--url https://{primary_domain}/api/public/v2.0/online_conferences \
--header 'X-Access-Key-Id: <api-key>' \
--header 'X-Access-Key-Secret: <api-key>'import requests
url = "https://{primary_domain}/api/public/v2.0/online_conferences"
headers = {
"X-Access-Key-Id": "<api-key>",
"X-Access-Key-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Key-Id': '<api-key>', 'X-Access-Key-Secret': '<api-key>'}
};
fetch('https://{primary_domain}/api/public/v2.0/online_conferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"id": 123,
"online_conference_account_id": 123,
"public_id": "<string>",
"title": "<string>",
"is_public": true,
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"backer_event_id": 123,
"is_occurred": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
],
"current_page": 123,
"first_page_url": "<string>",
"from": 123,
"last_page": 123,
"last_page_url": "<string>",
"next_page_url": "<string>",
"path": "<string>",
"per_page": 123,
"prev_page_url": "<string>",
"to": 123,
"total": 123
}{
"message": "<string>",
"errors": {
"attribute": [
"The {attribute} field is required."
]
}
}"Invalid or missing access key.""Too many requests.""An unexpected error occurred."Online Conferences
List Online Conferences
Required permissions: online_conferences.read.*
GET
/
online_conferences
List Online Conferences
Query Parameters
Resource Object ID of owner. Required if "owner_type" is defined.
Resource Object Type of owner. Required if "owner_id" is defined.
Available options:
App\Models\Tenant\User, App\Models\Tenant\Department Maximum number of items in a page.
Page number of query.
Whether or not deleted items are included.
Attribute to order query by.
Available options:
id, public_id, title, is_public, is_occurred, started_at, ended_at, created_at, updated_at, deleted_at Direction to order query by.
Available options:
asc, desc Value of attribute to filter query by.
Comparison operator to filter query by.
Available options:
Equal, NotEqual, Contains, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual, IsNull, NotNull Attribute to filter query by
Available options:
id, public_id, title, is_public, is_occurred, started_at, ended_at, created_at, updated_at, deleted_at Response
A list of Online Conference resource objects.
Show child attributes
Show child attributes
Current page number.
URL to fetch the first page.
Last page number.
URL to fetch the last page.
URL to fetch the next page.
Current URL.
Number of items per page.
URL to fetch the next page.
Total number of items.